Get a file download link
Get a download link for an uploaded file.
The signed link expires in ten minutes. A text document, website or file with no stored object URI answers 404.
GET
/
v1
/
knowledge-sources
/
{id}
/
download
Get a file download link
curl --request GET \
--url https://api.us.phonely.ai/v1/knowledge-sources/{id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.us.phonely.ai/v1/knowledge-sources/{id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.us.phonely.ai/v1/knowledge-sources/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.phonely.ai/v1/knowledge-sources/{id}/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.us.phonely.ai/v1/knowledge-sources/{id}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.us.phonely.ai/v1/knowledge-sources/{id}/download")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.phonely.ai/v1/knowledge-sources/{id}/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"expires_at": "2023-11-07T05:31:56Z",
"object": "knowledge_source_download",
"url": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
An org API key: Authorization: Bearer phk_…
Headers
Optional. Must be the key's org.
Path Parameters
The knowledge source's ID.
Response
Successful Response
When this download URL expires, ten minutes after creation.
The type of this object, always knowledge_source_download.
Allowed value:
"knowledge_source_download"A signed URL for downloading the uploaded file.
⌘I
Get a file download link
curl --request GET \
--url https://api.us.phonely.ai/v1/knowledge-sources/{id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.us.phonely.ai/v1/knowledge-sources/{id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.us.phonely.ai/v1/knowledge-sources/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.us.phonely.ai/v1/knowledge-sources/{id}/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.us.phonely.ai/v1/knowledge-sources/{id}/download"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.us.phonely.ai/v1/knowledge-sources/{id}/download")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.us.phonely.ai/v1/knowledge-sources/{id}/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"expires_at": "2023-11-07T05:31:56Z",
"object": "knowledge_source_download",
"url": "<string>"
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"request_id": "<string>"
}
}
